//=============================================================================
// WeatherOnBattle.js
//=============================================================================
// [Update History]
// 2016.Jun.16 Ver1.0.0 First Release
// 2019.Dec.06 Ver1.0.1 Update to run under also MZ

/*:
 * @target MV MZ
 * @plugindesc display weather not only map but also battle
 * @author Sasuke KANNAZUKI
 * *
 * @help This plugin does not provide plugin commands.
 * This plugin runs under RPG Maker MV and MZ.
 * 
 * [Summary]
 * This plugin displays weather also on battle scene.
 *
 * [License]
 * This plugin is released under MIT license.
 * http://opensource.org/licenses/mit-license.php
 */
/*:ja
 * @target MV MZ
 * @plugindesc 戦闘中も天候アニメを表示します
 * @author 神無月サスケ
 * *
 * @help このプラグインには、プラグインコマンドはありません。
 * このプラグインは、RPGツクールMVおよびMZに対応しています。
 * 
 * ■概要
 * 戦闘中にも天候を表示させるためのプラグインです。
 *
 * ■ライセンス表記
 * このプラグインは MIT ライセンスで配布されます。
 * ご自由にお使いください。
 * http://opensource.org/licenses/mit-license.php
 */
(function() {

  var _Spriteset_Battle_createLowerLayer =
   Spriteset_Battle.prototype.createLowerLayer
  Spriteset_Battle.prototype.createLowerLayer = function() {
    _Spriteset_Battle_createLowerLayer.call(this);
    Spriteset_Map.prototype.createWeather.call(this);
  };

  var _Spriteset_Battle_update = Spriteset_Battle.prototype.update;
  Spriteset_Battle.prototype.update = function() {
    _Spriteset_Battle_update.call(this);
    this.updateWeather();
  };

  Spriteset_Battle.prototype.updateWeather = function() {
    this._weather.type = $gameScreen.weatherType();
    this._weather.power = $gameScreen.weatherPower();
  };

})();
